set noexpandtab

" use goimports for formatting
let g:go_fmt_command = "goimports"

" turn highlighting on
let g:go_highlight_functions = 1
let g:go_highlight_methods = 1
let g:go_highlight_structs = 1
let g:go_highlight_operators = 1
let g:go_highlight_build_constraints = 1

let g:syntastic_go_checkers = ['go', 'golint', 'errcheck']

let g:ale_linters['go'] = ['golint', 'gopls']

"let g:go_metalinter_autosave=1
"let g:go_metalinter_autosave_enabled=['golint', 'govet', 'typecheck']

" Open go doc in vertical window, horizontal, or tab
nnoremap <leader>d :GoDef<CR>
nnoremap <leader>t :GoDefType<CR>
